<p align="center">
  <img alt="CometChat" src="https://assets.cometchat.io/website/images/logos/banner.png">
</p>

# CometChat Calls SDK for Flutter
The CometChat SDK is a robust toolkit that developers can utilize to swiftly incorporate a reliable and fully-featured chat functionality into an existing or new application. It removes the complexity of building a chat infrastructure from scratch, thus accelerating the development process and reducing time to market.

## Prerequisites
- Flutter >=2.5.0
- SDK >=2.17.0 <4.0.0
- Android Studio 2022.2
- Android 7.0, API 24 and above
- Xcode 14.3
- iOS 12.0

## Getting Started
To set up Flutter SDK and utilize CometChat for your chat and calls functionality, you'll need to follow these steps:
- Register at the [CometChat Dashboard](https://app.cometchat.com/) to create an account.
- After registering, log into your CometChat account and create a new app. Once created, CometChat will generate an Auth Key and App ID for you. Keep these credentials secure as you'll need them later.
- Check the [key concepts](https://cometchat.com/docs/flutter-chat-sdk/key-concepts) to understand the basic components of CometChat.
- Refer to the [Integration Steps](https://cometchat.com/docs/flutter-chat-sdk/setup) in our documentation to integrate the SDK into your Flutter app.

## Help and Support
For issues running the project or integrating with our SDK, consult our [documentation](https://www.cometchat.com/docs/flutter-chat-sdk/overview) or create a [support ticket](https://help.cometchat.com/hc/en-us) or seek real-time support via the [CometChat Dashboard](https://app.cometchat.com/).